Subject: PWG-ANNOUNCE> COUNTER-MIB issues

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Tue, 11 Jan 2005 11:48:52 +0100

Hi... just did a very quick SYNTAX check. This is what I found:

  E: f(counter.mi2), (17,21) Date/time(0411270000Z) must have a year
     greater than 89

You SHOULD use a 4-digit year. So 200411270000Z would fix the problem
Sane is true for all the REVISION dates/timestamps

  E: f(counter.mi2), (1638,1) Item "icMediaUsedSizeName" has invalid
     value for MAX-ACCESS

It has:
  icMediaUsedSizeName OBJECT-TYPE
    SYNTAX      SnmpAdminString (SIZE(0..63))
    MAX-ACCESS  not-accessible

The not-accessible is only valid for non-index objects. It should only be
used for auxiliary objects.
See sect 7.3 (2nd para) and of RFC2578.

In any event, what use does a normal object have if it is not accessible?

The smilint tool further shows:
  C:\smi\mibs\work>smilint -m -s -l 6 -inamelength-32 ./PWG-IMAGING-COUNTER-MIB
  ./PWG-IMAGING-COUNTER-MIB:118: [1] {oid-registered} identifier `icMIB' registers
    object identifier already registered by `imagingCounterMIB'
  ./PWG-IMAGING-COUNTER-MIB:118: [6] {previous-definition} info: previous
    definition of `imagingCounterMIB'

Further, I see:

   icMIBObjects            OBJECT IDENTIFIER ::= { icMIB 1 }
   icMIBNotifications      OBJECT IDENTIFIER ::= { icMIB 2 }
   icMIBConformance        OBJECT IDENTIFIER ::= { icMIB 3 }

No notifications have yet been defined. Potentially it would be better to do

   icMIBNotifications      OBJECT IDENTIFIER ::= { icMIB 0 }
   icMIBObjects            OBJECT IDENTIFIER ::= { icMIB 1 }
   icMIBConformance        OBJECT IDENTIFIER ::= { icMIB 2 }

It allows notifications to be defined directly under icMIBNotifications
and it would be more inline with IETF MIB guidance as per appendix D
of draft-ietf-ops-mib-review-guidelines-03.txt

Firther I saw:
  icGeneralGroup OBJECT-GROUP
    OBJECTS {
        icGeneralNaturalLanguage,
        icGeneralTotalServiceRecords,
        icGeneralTotalSubunitRecords,
        icGeneralTotalMediaUsedRecords
    }
    STATUS      current
    DESCRIPTION
        "Mandatory - general object group.

        An Imaging System MUST support and implement this object group."
    ::= { icMIBObjectGroups 1 }

In general it is NOT GOOD to specify in the OBJECT-GROUP DESCRIPTION clause 
if such a group is mandatory or optional. The OBJECT-GROUP macro is meant
to just group objects together in logical groups.
In the MODULE-COMPLIANCE you can then specify which groups are mandatory (i.e.
MUST support" or "conditionally mandatory" or "optional" etc.
It would then be good to include in the DESCRIPTION clauses of the GROUP clause
(in the MODULE-COMPLIANCE statement) under what conditions a conditionally
mandatroy group must be supported.

Section 4.8 of draft-ietf-ops-mib-review-guidelines-03.txt has detailed
guidelines on MODULE-COMPLIANCE approaches.

I did not review or check the MIB module in any detail.

Hope this helps, Bert
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of McDonald, Ira
> Sent: Tuesday, January 11, 2005 02:22
> To: 'Wagner,William'; [email-masked]
> Subject: RE: PWG-ANNOUNCE> [wrong MIB URL] Jan 11 WIMS Agenda
> 
> 
> Hi,
> 
> Bill cut-and-pasted my announcement error of the Counter MIB URL.
> 
> PLEASE pickup the entirely restructured Counter MIB v0.40 at:
> 
>     ftp://ftp.pwg.org/pub/pwg/wims/mibs/counter-mib-20041127.txt
> 
> This v0.40 is aligned with the terminology in the current Counter
> spec.
> 
> Cheers,
> - Ira
> 
> Ira McDonald (Musician / Software Architect)
> Blue Roof Music / High North Inc
> PO Box 221  Grand Marais, MI  49839
> phone: +1-906-494-2434
> email: [email-masked]
> 
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On
> Behalf Of Wagner,William
> Sent: Monday, January 10, 2005 6:31 PM
> To: [email-masked]
> Subject: PWG-ANNOUNCE> Jan 11 WIMS Agenda
> 
> 
> Greetings:
> 
>  
> 
>  
> 
> The WIMS WG will meet Tuesday 11 January at Sharp SLA at Vancouver,
> Waslington
> 
>       Dial In: 1-866-365-4406 
>       Toll #: 1-303-248-9655 
>       Passcode: 2635888# 
> 
> 
> 
> The proposed agenda is: 
> 
> 9:00 - 9:15         Introductions and Agenda
> 
> 9:15 – 9:30 Review of Last F2F minutes and Action Items
> 
>                   
> ftp://ftp.pwg.org/pub/pwg/wims/minutes/wims_041116.pdf 
> 
> 9:30-10:00   Counter MIB
> 
>             
> ftp://ftp.pwg.org/pub/pwg/wims/mibs/counter-mib-20040428.txt
> 
>   
> 
> 10:00-10:15  Break
> 
>  
> 
> 10:15-12:00       Counter Spec -preparing for Last Call
> 
>             
> ftp://ftp.pwg.org/pub/pwg/wims/wd/wd-wimscount10-20050105.doc 
>  
> ftp://ftp.pwg.org/pub/pwg/wims/wd/wd-wimscount10-20050105.pdf 
> 
> 12:00- 13:30      Lunch
> 
>   
> 
> 13:30 - 15:30    Schema
> 
>  
> 
>       - Counter Schema
> 
>  
> 
>  
> ftp://ftp.pwg.org/pub/pwg/wims/schemas/PwgCountersProposal091304.zip
> <ftp://ftp.pwg.org/pub/pwg/wims/schemas/PwgCountersProposal091
> 304.zip>   
> 
>  
> 
>       - WIMS Base v0.10 - Agent, Device, Manager, Service, System
> 
>             
> ftp://ftp.pwg.org/pub/pwg/wims/schemas/wimsbase-20041212.xsd
> 
>  
> 
>       - WIMS Type v0.10
> 
>             
> ftp://ftp.pwg.org/pub/pwg/wims/schemas/wimstype-20041212.xsd
> 
>  
> 
>       - Alert v0.40 - Alert and Subscription
> 
>             ftp://ftp.pwg.org/pub/pwg/wims/schemas/alert-20041212.xsd
> 
>  
> 
>       - Events v0.70
> 
>             ftp://ftp.pwg.org/pub/pwg/wims/schemas/events-20041212.xsd
> 
>  
> 
>       - Report v0.40
> 
>             ftp://ftp.pwg.org/pub/pwg/wims/schemas/report-20041212.xsd
> 
>  
> 
>       - Resource v0.60
> 
>             
ftp://ftp.pwg.org/pub/pwg/wims/schemas/resource-20041212.xsd

      - Schedule v0.92

            ftp://ftp.pwg.org/pub/pwg/wims/schemas/schedule-20041212.xsd

      - Subunits v0.30      

            ftp://ftp.pwg.org/pub/pwg/wims/schemas/subunits-20041212.xsd

15:30-15:45       Break

15:45-16:45 -WIMS Spec 

            ftp://ftp.pwg.org/pub/pwg/wims/wd/wd-wims10-20050110.pdf

(I am having trouble sending this to the FTP server. Hopefully, it will be
there by Tuesday morning.) 

16:45-17:15       Next Steps & Other Related management activities. 

      -DMTF+ OMG

            http://www.omg.org/news/releases/pr2004/12-13-04.htm

      -WS-Management

http://www.intel.com/technology/manage/downloads/ws_management.pdf

      -WSDM (Spec out for comments)

http://www.oasis-open.org/committees/documents.php?wg_abbrev=wsdm

Bill Wagner